count: 2
next: null
previous: null
results:
- authors:
  - Promma C.
  - Zhu R.-L.
  - Renner M.A.M.
  doi: ''
  pub_id: 1253864
  publication: Submitted (20-SEP-2022) to the INSDC. Biology, School of Life Sciences,
    East China Normal University, 500 Dongchuan Road, Minhang, Shanghai 200241, China
  pubmed_id: ''
  title: INSDC submission
- authors:
  - Promma C.
  - Zhu R.-L.
  - Renner M.A.M.
  doi: ''
  pub_id: 1265963
  publication: Unpublished.
  pubmed_id: ''
  title: Monograph of the genus Radula Subgenus Amentuloradula Devos et al. (Radulaceae,
    Marchantiophyta)
